Subject: Re: [PATCH 12/20] bootwrapper: Add 8xx cuboot support.

From: Scott Wood <[email-masked]>
Date: Tue, 21 Aug 2007 11:20:21 -0500

David Gibson wrote:
> On Mon, Aug 20, 2007 at 12:40:01PM -0500, Scott Wood wrote:
> 
>>This allows booting on legacy, non-device-tree aware versions of
>>U-boot.
> 
> 
> Is this really sufficient for all 8xx platforms?

It should be enough for all u-boot-based 8xx boards, barring some u-boot 
which needs special fixups (as is done in cuboot-pq2.c).  If such a need 
arises, they can be added to cuboot-8xx.c (if they're generic enough to 
work on all boards, even if not actually needed) or to a board-specific 
platform file (which can coexist just fine with the generic 8xx one).

-Scott